//
// Date_Time module for processing date and time related functions
//

void show_date(const char* txt, const DateTime& dt) {
    Serial.print(txt);
    Serial.print(' ');
    Serial.print(dt.year(), DEC);
    Serial.print('/');
    Serial.print(dt.month(), DEC);
    Serial.print('/');
    Serial.print(dt.day(), DEC);
    Serial.print(' ');
    Serial.print(dt.hour(), DEC);
    Serial.print(':');
    Serial.print(dt.minute(), DEC);
    Serial.print(':');
    Serial.println(dt.second(), DEC);
    
    Serial.print("unixtime = ");
    Serial.println(dt.unixtime());
}

// Show the current date and time
void showNow()
{
    DateTime now = RTC.now();
    
    Serial.print(now.year(), DEC);
    Serial.print('/');
    Serial.print(now.month(), DEC);
    Serial.print('/');
    Serial.print(now.day(), DEC);
    Serial.print(' ');
    Serial.print(now.hour(), DEC);
    Serial.print(':');
    Serial.print(now.minute(), DEC);
    Serial.print(':');
    Serial.println(now.second(), DEC); 
}

void show_date()
{
    DateTime now = RTC.now();
    
    Serial.print("DATE");    
    Serial.print(now.year(), DEC);
    Serial.print('/');
    Serial.print(now.month(), DEC);
    Serial.print('/');
    Serial.println(now.day(), DEC); 
}

void show_time()
{
    DateTime now = RTC.now();

    Serial.print("TIME");
    Serial.print(now.hour(), DEC);
    Serial.print(':');
    Serial.print(now.minute(), DEC);
    Serial.print(':');
    Serial.println(now.second(), DEC);
}

// Get the date and time from the PC and set the date and time variables
void setDateTimeToPC(){  
#if defined(DEBUG) 
 Serial.println("In setDateTimeToPC()");
#endif

 int i;
 uint32_t myUnixTime = 0;
 uint32_t mult = 1000000000;
 for(i=1;i<=10;i++){
   Serial.print(commandArray[i]-48,DEC);
   myUnixTime += (commandArray[i]-48) * mult;
   mult = mult/10;
   if(commandArray[i] == '-')break;
 }
 Serial.println("*\n");
 Serial.print(myUnixTime,DEC); 
 Serial.println("^\n");
 
 RTC.adjust(myUnixTime);
}
